<div class="container mt-4">
  <h2 class="mb-3">Quiz Details</h2>

  <table class="table table-bordered">
    <thead>
      <tr>
        <th colspan="4">
          Quiz ID <%= @quiz.id %> - Title: <%= @quiz.title %>
        </th>
      </tr>
    </thead>
    <tbody>
      <% @questions.each_with_index do |question, index| %>
        <tr>
          <td>
            <strong>Question:</strong> <%= index + 1 %>
          </td>
          <td><%= question.title %></td>
          <td>
            <%= link_to 'View Question', question_path(question), class: "btn btn-info btn-sm" %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>

  <div class="row">
    <div class="col-md-6">
      <%= link_to 'Add Question', new_quiz_question_path(@quiz), class: "btn btn-primary" %>
    </div>
    <div class="col-md-6 text-end">
      <%= link_to "Edit this quiz", edit_quiz_path(@quiz), class: "btn btn-secondary" %> |
      <%= link_to "Back to quizzes", quizzes_path, class: "btn btn-secondary" %>
    </div>
  </div>

  <div class="text-center mt-4">
    <%= button_to "Destroy this quiz", @quiz, method: :delete, data: { confirm: "Are you sure?" }, class: "btn btn-danger" %>
  </div>
</div>
